--- title: "getNetworkAclList" slug: "networking-vpc-networkacl-getnetworkacllist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-getnetworkacllist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getNetworkAclList Available in VPC Get the list of network ACLs based on the conditions the user specifies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getNetworkAclList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the network ACL list - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `networkAclName` | String | Optional | Query the list with the network ACL name. | | `networkAclStatusCode` | String | Optional | Query the list with the network ACL status code. - `INIT` \| `SET` \| `RUN` \| `TERMTING` | | `networkAclNoList.N` | List[String] | Optional | Query the list with the network ACL number. - `networkAclNo` can be obtained through [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). - Example: networkAclNoList.1=1234&networkAclNoList.2=2345 | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize`. | | `pageSize` | Integer | Conditional | Size of each page to display when paging - Required when entering `pageNo` - Page the result values using `pageNo` and `pageSize`. | | `vpcNo` | String | Optional | Query the list with the VPC number. - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNetworkAclList ?regionCode=KR &networkAclName=test-*** &networkAclStatusCode=RUN &networkAclNoList.1=***31 &vpcNo=***04' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclList](/docs/en/common-vapidatatype-networkacllist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` dc9325b1-a000-4db5-ac28-e33819b910eb 0 success 1 ***31 test-*** ***04 RUN run 2020-07-31T14:29:14+0900 false ```